# Created by pyp2rpm-3.3.8
%global pypi_name samplerate
%global pypi_version 0.1.0

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python bindings for libsamplerate based on CFFI and NumPy

License:        MIT
URL:            https://github.com/tuxu/python-samplerate
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(cffi) >= 1
BuildRequires:  python3dist(numpy)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-runner)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(versioneer)

%description
python-samplerate This is a wrapper around Erik de Castro Lopo's libsamplerate_
(aka Secret Rabbit Code) for high-quality sample rate conversion.It implements
all three APIs < available in libsamplerate_:* **Simple API**: for resampling a
large chunk of data with a single library* **Full API**: for obtaining the
resampled signal from successive chunks of* **Callback API**: like Full API,
but...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(cffi) >= 1
Requires:       python3dist(numpy)
%description -n python3-%{pypi_name}
python-samplerate This is a wrapper around Erik de Castro Lopo's libsamplerate_
(aka Secret Rabbit Code) for high-quality sample rate conversion.It implements
all three APIs < available in libsamplerate_:* **Simple API**: for resampling a
large chunk of data with a single library* **Full API**: for obtaining the
resampled signal from successive chunks of* **Callback API**: like Full API,
but...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

# Remove bundled versioneer.py
rm -rf versioneer.py

%build
%pyproject_wheel

%install
%pyproject_install

%files -n python3-%{pypi_name}
%license LICENSE.rst
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/samplerate-%{version}.dist-info/

%changelog
* Wed Dec 21 2022 Gwyn Ciesla <gwync@protonmail.com> - 0.1.0-1
- Initial package.
